.card {
    border: 0;
    margin: 0px 0;
    -webkit-box-shadow: 0 0px 0 0 rgb(0 0 0 / 1%), 0 0px 0px 0 #eda9c324;
    box-shadow: 0 0px 0 0 rgb(0 0 0 / 1%), 0 0px 0px 0 #eda9c324;
    border-radius: 0px;
}

.card-header {
    padding-top: 10px !important;
    padding-bottom: 10px !important;
    border-bottom: 0px dashed #efefef !important;
}

.card-block {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

.card .category-list {
    padding-left: -8px !important;
}

.card .shop-content {
    padding: 0rem 1px 0rem 0rem;
}

/**
---------------------------------------弹窗购买部分CSS:Start-----------------------------------------------
 */
.open-commodity, .open-query {
    padding: 48px 48px 0px 48px;
}

.commodity-di .general, .draft_status {
    font-size: 14px;
    color: #7c7674;
}

.commodity_name {
    text-align: left;
    font-weight: bold;
    font-size: 1.5rem;
    padding-bottom: 15px;
    border-bottom: 0px dashed #ff7c7c3b;
    margin-bottom: 20px;
    -webkit-background-clip: text;
    /*-webkit-text-fill-color: transparent;*/
    background-image: linear-gradient(43deg, #4158D0 0%, #C850C0 46%, #FFCC70 100%);
    line-height: 1.2em;
}



.layui-layer[type=page] {
    background: linear-gradient(62deg, #f1f9ff 0%, #f9f0ff 100%) !important;
    border-radius: 20px !important;
}

.layui-layer {
    box-shadow: rgb(96 96 96 / 35%) 4px 4px 24px 0px !important;
    background: -moz-linear-gradient(top, #ffdede 0%, #ffffff 100%) !important;
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #ffdede), color-stop(100%, #ffffff)) !important;
    background: -webkit-linear-gradient(top, #ffdede 0%, #ffffff 100%) !important;
    background: -o-linear-gradient(top, #ffdede 0%, #ffffff 100%) !important;
    background: -ms-linear-gradient(top, #ffdede 0%, #ffffff 100%) !important;
    background: linear-gradient(to bottom, #ffdede 0%, #ffffff 100%) !important;
}

.layui-layer-hui {
    font-weight: bold !important;
    color: #6793e8 !important;
    border-radius: 20px !important;
}

.layui-layer-content {
    border-radius: 20px !important;
}

.share_url {
    color: #8e8eefbd;
    cursor: pointer;
    font-size: 14px;
}

.description {
    font-size: 14px;
    color: grey;
}

.description p {
    font-size: 14px !important;
    margin-bottom: 0 !important;
}

.seckill_end_time {
    color: #4caf50 !important;
}

.seckill_start_time {
    color: orangered !important;
}

.commodity-di .price {
    color: green;
    font-weight: bold;
    font-size: 14px !important;
}

.commodity-di .price_tips {
    color: #6772e5;
}

.delivery_way_hand {
    color: white;
    background: #ff000066;
    padding: 2px 4px;
    border-radius: 5px;
    font-size: 12px;
}

.delivery_way_auto {
    color: white;
    background: #00800078;
    padding: 2px 4px;
    border-radius: 5px;
    font-size: 12px;
}

.layui-layer-page input[type=text], .commodity-di input[type=number], .commodity-di input[type=password], .commodity-di input[type=email] {
    transition: .3s;
    display: inline-block !important;
    width: auto;
    height: 28px;
    background: rgba(255, 255, 255) !important;
    border-radius: 5px !important;
    padding-left: 6px !important;
    border: none;
}

.layui-layer-page input[type=text]:hover, .commodity-di input[type=number]:hover, .commodity-di input[type=password]:hover, .commodity-di input[type=email]:hover {
    transition: .3s;
    box-shadow: 0 0 6px 0 #cbcafe;
}

.layui-layer-page input[type=text]:focus, .commodity-di input[type=number]:focus, .commodity-di input[type=password]:focus, .commodity-di input[type=email]:focus {
    transition: .3s;
    box-shadow: 0 0 8px 0 #afacff;
}

.layui-layer-page textarea {
    background: rgba(255, 255, 255, .5);
    border-radius: 10px;
}

.layui-layer-page textarea:focus {
    outline: none;
}

.layui-layer-page input::placeholder {
    color: #6c6a6a !important;
}

.layui-layer-page input:focus {
    outline: none;
}


.purchase_num {
    width: 50px !important;
}

.card_count {
    color: #0fb183;
}

.card_count_general {
    color: #a5620f !important;
}

.card_count_immediately {
    color: #f16868 !important;
}


.card_count_unknown {
    color: #35b98e !important;
}

.card_count_empty {
    color: #d1d2d6 !important;
}

.purchase_count {
    display: none;
    color: #26fbdd;
}

.captcha-input {
    width: 120px !important;
}

.commodity-di .captcha {
    position: relative;
    top: -2px;
    cursor: pointer;
}

.trade_amount {
    font-weight: bold;
    color: #f97e82;
}

.qq-service {
    color: #2aa2e3;
    padding: 0 4px 0 0;
    font-size: 12px;
    margin: 0 4px 0 0;
    border-radius: 5px;
}

.web-service {
    color: #ff8484;
    padding: 0 4px 0 4px;
    margin: 0;
    font-size: 12px;
    border-radius: 5px;
}

.pay-content {
    border-top: 0px dashed #ff7c7c3b;
    margin-top: 0px;
    padding-top: 0px;
}

.pay-content label {
    font-size: 16px;
    color: #bba0a3;
}

.description-content label {
    font-size: 16px;
    color: #bba0a3;
    padding-top: 12px;
}

.pay-button {
    position: relative;
    margin: 0 4px 6px 0;
    font-size: 16px;
    border-radius: 20px;
    border: 1px solid #cdcdcd;
    display: inline-block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    padding: 4px 11px 2px 10px;
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
    color: grey !important;
}

.pay-button:hover {
    transition: all .3s ease;
    color: white;
    background-color: rgba(235, 120, 173, 0.4);
    border: 1px solid #f5b2ce;
}


.pay-button img {
    height: 28px;
    border-radius: 0px;
    padding-bottom: 3px;
}

.pay_list {
    padding-top: 10px;
}

.draft_status {
    display: none;
}

.draft_status button[type=button] {
    border-radius: 5px;
    background-color: #f3b0b09e;
    color: white;
    cursor: pointer;
    padding: 1px 5px 1px 5px;
    border: none;
}

.draft_status button[type=button]:focus {
    outline: none;
}

.draft_status button[type=button]:disabled {
    background-color: rgba(239, 239, 239, 0.3);
    color: grey;
}

.draft_premium {
    color: red;
}

.draft_status table {
    margin: 10px 0 5px 0;
}

.draft_status .draftCard label {
    font-size: 14px;
    color: grey;
}


.need-login {
    margin-top: 10px;
    font-size: 14px;
    color: #ed8181;
    font-weight: bold;
}

.need-login a {
    color: #526ccb;
}

/* 设置滚动条的样式 */
::-webkit-scrollbar {
    width: 5px;
}

::-webkit-scrollbar-button {
    height: 10px;
}
/* 修改 */

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(246, 193, 193, 0.3);
    border-radius: 10px;
}

/* 滚动条滑块 */
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background: rgba(245, 122, 129, 0.7);
    -webkit-box-shadow: inset 0 0 6px rgba(236, 186, 186, 0.5);
    box-shadow: 0 0px 6px 0 rgba(0, 0, 0, 0.2);/* 修改 */
}

::-webkit-scrollbar-thumb:window-inactive {
    background: rgba(255, 0, 0, 0.2);
}

.lot {
    font-size: 12px;
    list-style-type: none;
    padding: 0;
    color: #0fb183;
}

.open-query .search-query {
    border: none;
    font-size: 14px;
    color: white;
    background: #e9b4ed;
    padding: 2px 10px;
    border-radius: 5px;
}

.open-query .search-value {
    width: 280px;
}

.open-query .search-query:focus {
    outline: none;
}

.open-query .search-page {
    border-bottom: 1px dashed #ff7c7c3b;
    padding-bottom: 20px;
    margin-bottom: 20px;
}

.open-query .hr-top {
    border-bottom: 1px dashed #ff7c7c3b;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

.open-query .getCard {
    cursor: pointer;
    color: white;
    background: #f1b4ca;
    padding: 1px 5px;
    font-size: 14px;
    border-radius: 5px;
}

.open-query .card-textarea {
    border: 1px solid #f3c0c066;
    width: 100%;
    padding: 10px;
    font-size: 14px;
}

@media screen and (max-width: 768px) {
    .open-commodity, .open-query {
        padding: 20px;
    }

    .layui-layer[type=page] {
        border-radius: 0 !important;
    }
}


/**
---------------------------------------弹窗购买部分CSS:End-----------------------------------------------
 */
.race-click {
    margin-right: 8px;
    padding: 1px 8px;
    margin-bottom: 0px;
    text-align: center;
    box-shadow: 0 1px 4px 0 rgb(0 0 0 / 0%);
    border: 1px solid #cecece;
    border-radius: 20px;
    cursor: pointer;
    display: inline-block;
    user-select: none;
    transition: all .3s ease;
}

.race-click:hover {
    transition: .4s;
    box-shadow: 0 0 6px 0 #cbcafe;
    border: 1px solid #cecece;
}

.race-click:checked {
    border: px solid #f97e82;
    box-shadow: 0 0 8px 0 #afacff;
}


.category-list table tr th:nth-child(4), .category-list table tr td:nth-child(4), .shop-content table tr th:nth-child(4), .shop-content table tr td:nth-child(4) {
    position: relative;
    right: 20px;
    width: 64px;
    text-align: center;
}

.category-list table tr th:nth-child(3), .category-list table tr td:nth-child(3), .shop-content table tr th:nth-child(3), .shop-content table tr td:nth-child(3) {
    position: relative;
    right: 50px;
    width: 50px; /*80*/
    text-align: center;
}

.category-list table tr th:nth-child(2), .category-list table tr td:nth-child(2), .shop-content table tr th:nth-child(2), .shop-content table tr td:nth-child(2) {
    position: relative;
    right: 0px; /*50*/
    width: 0px; /*50*/
    text-align: center;
    margin: 0 20px;
}

.category-list {
    overflow-y: scroll;
    padding: 0px 26px 0px 8px !important; /*编辑*/
    user-select: none;
}

.annocement {
    transition: .4s;
    /*background-image: linear-gradient(90deg, rgba(253,251,251,0.94) 0%, rgba(241,243,243,0.94) 100%);删*/
    border-radius: 12px;
    /*box-shadow: 0 1px 10px 0 #464646;删*/
    width: 1130px;
    height: 180px;
    padding-left: 9px;
}
/*编辑*/

.container {
    padding-right: 24px;
}
/*编辑*/

.annocement:hover {
    /*transition: .4s;删*/
    /*box-shadow: 0 2px 16px 0 #fe7e81;删*/
}
/*编辑*/


.category-list .category-items {
    height: 2056px;
    display: block;
    border-collapse: separate;
    border-spacing: 0 9px;/*编辑*/ 
}

.card {
    background-color: transparent;
}/*编辑*/ 

.commodity-icon {
    height: 24px;
    width: 24px;
}/*编辑*/ 

.nav-link:hover {
    border-bottom: 2px solid #fea6a5; 
}
    

.shop-content {
    padding: 15px 2rem 70px 8px;
    height: 2057px;
    display: block;
    overflow-y: scroll;
    transition: .4s;
    border-radius: 12px;
    background-image: linear-gradient(90deg, rgba(253,251,251,0.94) 0%, rgba(241,243,243,0.94) 100%);
    box-shadow: 0 1px 10px 0 #464646;
}/*编辑*/


.shop-content:hover {
    transition: .4s;
    box-shadow: 0 2px 16px 0 #fe7e81;
}

/*.shop-content .shop-list {
    height: 847px;
    display: block;
    border-collapse: separate;
    border-spacing: 0 9px; 
    background-image: linear-gradient(90deg, rgba(253,251,251,0.94) 0%, rgba(241,243,243,0.94) 100%);
}/*编辑*/

.category-list .category-items .item:hover {
    color: #fe7e81;
}
/*编辑*/

.shop-content table .item td:nth-child(1) {
    transition: .4s;
    font-weight: bolder;
    padding-right: 64px;
}

.shop-content table .item td:nth-child(1):hover {
    transition: .4s;
    color: #fe7e81;
    margin-left: 4px;
    padding-left: 26px;
}

@media screen and (max-width: 768px) {
    .category-list table tr th:nth-child(2), .category-list table tr td:nth-child(2), .shop-content table tr th:nth-child(2), .shop-content table tr td:nth-child(2) {
        right: 0;
    }

    .category-list table tr th:nth-child(3), .category-list table tr td:nth-child(3), .shop-content table tr th:nth-child(3), .shop-content table tr td:nth-child(3) {
        right: 0;
    }

    .col-xs-12 {
        width: 100% !important;
        max-width: 100% !important;
        flex: 0 0 100% !important;
    }

    .shop-content table .item td:nth-child(1) {
        font-weight: bolder;
        padding-right: 0;
    }

    .category-list .category-items {
        height: 240px;
    }
}

/*
.category-list table .item {
    border-bottom: 1px solid #efefef; 
}
分类间隔线 删除处理*/ 



.shop-content table .item {
    border-bottom: 1px solid #dddddd; 
}

.category-list table .item:nth-last-child(1), .shop-content table .item:nth-last-child(1) {
    border-bottom: none;
}


.category-list table .head th, .shop-content table .head th {
    padding: 10px 0;
    font-weight: bold !important;
    font-size: 14px;
}

.category-list table .item td {
    padding: 8px 12px;
    font-size: 16px;
    font-weight: bolder;
    background-image: linear-gradient(90deg, rgba(253,251,251,0.94) 0%, rgba(241,243,243,0.94) 100%);
    border-radius: 18px;
    transition: .4s;
    box-shadow: 0px 1px 5px 0px #464646;
    /*编辑*/ 
}

.category-list table .item td:hover {
    transition: .4s;
    box-shadow: 0px 1px 8px 1px #fe7e81;
    /*编辑*/ 
}

.shop-content table .item td {
    padding: 10px 0;
    font-size: 15px;
    font-weight: bolder;
}

.category-list table .head th:nth-child(1), .shop-content table .head th:nth-child(1) {
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
    padding-left: 8px;
}

.category-list table .head th:nth-child(4), .shop-content table .head th:nth-child(4) {
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
}

.category-list table .item td:nth-child(1), .shop-content table .item td:nth-child(1) {
    font-weight: bolder;
    padding-left: 20px;
    color: grey !important;
}


.category-list table .item td:nth-child(2), .shop-content table .item td:nth-child(2) {
    color: #fd7e82;
    padding-right: 20px;
}

.shop-content table .item td:nth-child(2):hover {
    color: black;
}


.category-list table .item td:nth-child(3), .shop-content table .item td:nth-child(3) {
    color: #2ec25d;
    padding-right: 5px;
}

.shop-content table .item td:nth-child(4) a {
    border-radius: 16px;
    border: 1px solid #feb2db;
    display: inline-block;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    padding: 2px 10px;
    -webkit-transition: all .3s ease;
    transition: all .3s ease;
    -webkit-box-shadow: 0 1px 4px 0 #fad4e6;
    box-shadow: 0px 1px 3px 0 #9a9d93;
    color: white;
    background: #f8a2a7;
}

.shop-content table .item td:nth-child(4) a:hover{
    transition: .5s;
    box-shadow: 0px 2px 8px 0 #fd887f;
    font-size: 18px;
    padding: 4px 12px;
}


p {
    font-size: 14px;
}


.category-list .category {
    cursor: pointer;
}


.checked {
    border: none !important;
    color: #fe7e81 !important;
    font-weight: bold !important;
}


.input-group {
    padding-top: 0px;
    width: 240px;
}

.commodity-search {
    transition: .4s;
    border: none;
    color: transparent;
    text-align: right;
    height: 37px;
    background-image: linear-gradient(90deg, #fd7e82 0%, #3fb3d9 100%);
    -webkit-background-clip: text;
    font-weight: 500;
    -webkit-text-fill-color: transparent;
}

.commodity-search:focus{
    transition: .4s;
    margin-right: 16px;
    text-align: center;
    box-shadow: 0 0px 4px 0 #fea6a6;
}

.search-btn {
    width: 0px;
    height: 28px;
    line-height: 15px;
    font-size: 14px;
    background-color: #fe8eb1 !important;
    color: #FFF !important;
    border-color: #fe8eb1;
    border-right: 8px;
    box-shadow: 0 1px 5px 0 #6d6c6c;
    padding: 0px,0px,0px,0px;
    display: none;
}

.span-search {
    margin-left: 6px;
}